import request from '@/utils/request'
	
/**
 * @Descripttion: 订单Api接口
 * @version: (1.0)
 * @Author: (lwh)
 * @Date: (2023-08-29)
 * @LastEditors: (lwh)
 * @LastEditTime: (2023-08-29)
*/

// 订单分页查询列表
export function orderList(query) {
  return request({
    url: '/business/Order/getOrderList',
    method: 'get',
    params: query
  })
}

// 订单详情
export function getOrderDetails(query) {
  return request({
    url: '/business/Order/getOrderDetails',
    method: 'get',
    params: query
  })
}

// 订单发货
export function deliver(data) {
  return request({
    url: '/business/Order/deliver',
    method: 'post',
    data: data,
  })
}

// 订单改价
export function changePrice(data) {
  return request({
    url: '/business/Order/changePrice',
    method: 'post',
    data: data,
  })
}

// 审核取消订单
export function cancelOrder(data) {
  return request({
    url: '/business/Order/cancelOrder',
    method: 'post',
    data: data,
  })
}

// 订单新增或修改
export function addOrUpdateOrder(data) {
  return request({
    url: '/business/Order/addOrUpdateOrder',
    method: 'post',
    data: data,
  })
}

// 订单删除
export function delOrder(ids) {
  return request({
    url: '/business/Order/'+ ids,
    method: 'delete'
  })
}

// 订单导出
export function exportOrder(query) {
  return request({
    url: 'business/Order/exportOrder',
    method: 'get',
    params: query
  })
}

